import { useSelector } from "react-redux";
import { promiseWorker } from "reducers/promiseReducer";
import { call, select } from "redux-saga/effects";
import { actionCategoryUpsert, actionRootCats } from ".";
import { gql } from "../helpers";
import { actionPromise } from "../reducers";
import { actionCatAll } from "./actionCatAll";

export const actionCategoryUpdate = (category) => ({ type: "CATEGORY_UPDATE", payload: category });

export function* categoryUpdateWorker(action) {
    yield call(promiseWorker, actionCategoryUpsert(action.payload));
    const {
        promise: {
            categoryUpsert: { status },
        },
    } = select();

    if (status === "FULFILLED") {
        yield call(promiseWorker, actionRootCats());
        yield call(promiseWorker, actionCatAll());
    }
}
