import { promiseWorker } from "reducers/promiseReducer";
import { call, select } from "redux-saga/effects";
import { actionGoodsAll } from "./actionGoodsAll";
import { actionGoodUpsert } from "./actionGoodUpsert";

export const actionGoodUpdate = (good) => ({ type: "GOOD_UPDATE", payload: good });

export function* goodUpdateWorker(action) {
    yield call(promiseWorker, actionGoodUpsert(action.payload));
    const {
        promise: {
            goodUpsert: { status },
        },
    } = yield select();

    if (status === "FULFILLED") {
        yield call(promiseWorker, actionGoodsAll());
    }
}
