import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { actionCartClear } from "../reducers";
import { actionOrders } from "./actionOrders";
import { call, put, select, spawn } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionNewOrder = (orderGoods = []) => ({ type: "NEW_ORDER", payload: orderGoods });

export function* newOrderWorker(action) {
    const { auth: token } = yield select();
    if (!action.payload?.length && !token) {
        return;
    }
    yield call(
        promiseWorker,
        actionPromise(
            "newOrder",
            gql(
                `mutation newOrder($order:OrderInput){
            OrderUpsert(order:$order){
              _id total
            }
          }
          `,
                {
                    order: {
                        orderGoods: action.payload?.map((orderGood) => ({
                            count: orderGood.count,
                            good: { _id: orderGood.good._id },
                        })),
                    },
                }
            )
        )
    );
    let {
        promise: { newOrder },
    } = yield select();
    if (newOrder.status === "FULFILLED") {
        yield put(actionCartClear());
        yield call(promiseWorker, actionOrders());
    }
}
