import { promiseWorker } from "reducers/promiseReducer";
import { call, put, select } from "redux-saga/effects";
import { actionAboutMe, actionUserUpsert, actionUploadFile } from ".";
import { actionPromiseClear } from "../reducers";

export const actionUpdateAvatar = (file) => ({ type: "UPDATE_AVATAR", payload: file });

export function* updateAvatarWorker(action) {
    yield call(promiseWorker, actionUploadFile(action.payload));

    const {
        promise: {
            uploadFile: {
                payload: { _id },
                status,
            },
        },
    } = yield select();
    yield call(promiseWorker, actionUserUpsert({ avatar: { _id } }));
    if (status === "FULFILLED") {
        yield call(promiseWorker, actionAboutMe());
    }
    yield put(actionPromiseClear("uploadFile"));
}
