import { useEffect, useState } from "react";
import { connect } from "react-redux";
import { actionCartAdd, actionCartDelete } from "../reducers";

export const BuyButton = ({ onClick, onDeleteClick, good, cart }) => {
    const [inCart, setInCart] = useState(false);

    useEffect(() => {
        setInCart(!!(cart[good._id] && cart[good._id].count) || false);
    }, [good, cart]);
    return (
        <div className="BuyButton ">
            {inCart ? (
                <div className="btn btn-secondary bought" onClick={() => onDeleteClick(good)}>
                    Уже в корзине
                </div>
            ) : (
                <div onClick={() => onClick(good)} className="btn btn-success">
                    Купить
                </div>
            )}
        </div>
    );
};

const CBuyButton = connect((state) => ({ cart: state.cart || {} }), {
    onClick: (good) => actionCartAdd(good),
    onDeleteClick: (good) => actionCartDelete(good),
})(BuyButton);

export default CBuyButton;
