import { useEffect, useState } from "react";
import { connect } from "react-redux";
import { Link } from "react-router-dom";
import cartIcon from "icons/cart_icon.png";

export const CartIcon = ({ cart }) => {
    const [count, setCount] = useState(0);
    useEffect(() => {
        let count = 0;
        for (let order of Object.values(cart)) {
            count += +order.count;
        }
        setCount(count);
    }, [cart]);
    return (
        <div className="CartIcon">
            <img src={cartIcon} /> {!!count && <div className="counter">{count}</div>}
        </div>
    );
};

const CCartIcon = connect((state) => ({ cart: state.cart || {} }))(CartIcon);

export default CCartIcon;
