import { useEffect } from "react";
import { connect } from "react-redux";
import { actionOrders } from "actions";
import { store } from "reducers";
import DashboardOrder from "./DashboardOrder";
export const Dashboard = ({ orders, token }) => {
    return token && Object.keys(orders).length > 0 ? (
        <div className="Dashboard ">
            <div className="header w-100">Заказы</div>
            {orders.map((order) => (
                <DashboardOrder order={order || {}} key={order._id} />
            ))}
        </div>
    ) : (
        false
    );
};

const CDashboard = connect((state) => ({
    orders: state.promise.orders?.payload || [],
    token: state.auth?.token,
}))(Dashboard);

export default CDashboard;
