import { backendURL } from "helpers";
import { connect } from "react-redux";
import { actionCartAdd } from "reducers";
import { Link } from "react-router-dom";
import CBuyButton from "components/BuyButton";
import defaultGoodImage from "images/defaultGoodImage.png";

export const GoodCard = ({ good: { name, images, price, _id }, token, handleOnClick, buyButton = true } = {}) => {
    return (
        <div className="GoodCard ">
            <div className="row">
                <div className="col-12">
                    <div className="img">
                        <Link className="Link" to={`/good/${_id}`}>
                            <img
                                src={
                                    images && images[0]?.url
                                        ? `${backendURL}/${images ? images[0]?.url : ""}`
                                        : defaultGoodImage
                                }
                                alt=""
                            />
                        </Link>
                    </div>

                    <div className="desc">
                        <div>
                            <strong>Название: </strong>
                            <Link className="Link" to={`/good/${_id}`}>
                                {name}
                            </Link>
                        </div>
                        <div>
                            <strong>Цена: </strong> {price}
                        </div>
                        {token && buyButton ? (
                            <div>
                                <CBuyButton good={{ name, images, price, _id }} key={_id} />
                            </div>
                        ) : (
                            false
                        )}
                    </div>
                </div>
            </div>
        </div>
    );
};
export const CGoodCard = connect((state) => ({ token: state.auth?.token || false }), {
    handleOnClick: (good) => actionCartAdd(good),
})(GoodCard);
