import React from "react";
import ReactDOM from "react-dom";
import { Modal, CloseButton, Button } from "react-bootstrap";

const PopUp = ({ _id, children, title, onBackButtonClick, controlButtons = [], isOpen = false, onClose } = {}) => {
    return isOpen
        ? ReactDOM.createPortal(
              <>
                  <Modal show={isOpen} id={_id}>
                      <Modal.Header>
                          {!!onBackButtonClick && (
                              <div className="btn border-secondary " onClick={onBackButtonClick}>
                                  &lt;&lt;Back
                              </div>
                          )}
                          <Modal.Title className="mx-3">{title}</Modal.Title>
                          <CloseButton onClick={onClose} />
                      </Modal.Header>

                      <Modal.Body>{children}</Modal.Body>

                      <Modal.Footer>{controlButtons || []}</Modal.Footer>
                  </Modal>
              </>,
              document.body
          )
        : null;
};

export default PopUp;
