import { Link } from "react-router-dom";
import { connect } from "react-redux";
import { backendURL } from "../helpers";
import defaultProfileImage from "../images/defaultProfileImage.png";

const ProfileImage = ({ avatar }) => {
    return (
        <img src={avatar?.url ? `${backendURL}/${avatar?.url || ""}` : defaultProfileImage} className="ProfileImage" />
    );
};

const CProfileImage = connect((state) => ({ avatar: state.promise?.aboutMe?.payload?.avatar || {} }))(ProfileImage);

export { ProfileImage, CProfileImage };
