import { backendURL } from "helpers";
import { Link } from "react-router-dom";
import defaultGoodImage from "images/defaultGoodImage.png";
const SearchCategoryResultItem = ({ category, onClick, link = "" } = {}) => {
    const { _id = null, name = "" } = category || {};

    return (
        <Link className="Link" to={`${link}${_id}/`}>
            <div className="SearchCategoryResultItem" onClick={() => onClick && onClick()}>
                <div className=" row">
                    <div className="col-4">
                        <div className="w-100 d-flex justify-content-between">
                            <span>{name.length > 30 ? `${name.substring(0, 30)}...` : name}</span>
                        </div>
                    </div>
                    <div className="col-8">
                        <span>{_id}</span>
                    </div>
                </div>
            </div>
        </Link>
    );
};

export default SearchCategoryResultItem;
