import { backendURL } from "helpers";
import { Link } from "react-router-dom";
import defaultGoodImage from "images/defaultGoodImage.png";
const SearchGoodResultItem = ({ good, onClick, link = "" } = {}) => {
    const { _id = 0, images = [], name = "", description = "", price = "" } = good || {};

    return (
        <Link className="Link" to={`${link}${_id}/`}>
            <div className="SearchGoodResultItem" onClick={() => onClick && onClick()}>
                <div className=" row">
                    <div className="col-4">
                        <img
                            src={images[0]?.url ? `${backendURL}/${images ? images[0]?.url : ""}` : defaultGoodImage}
                        />
                    </div>
                    <div className="col-8">
                        <div className="w-100 d-flex justify-content-between">
                            <span>{name.length > 30 ? `${name.substring(0, 30)}...` : name}</span>
                            <span>{price}</span>
                        </div>
                        <div className="w-100 desc">
                            {description.length > 70 ? `${description.substring(0, 70)}...` : description}
                        </div>
                    </div>
                </div>
            </div>
        </Link>
    );
};

export default SearchGoodResultItem;
