import { connect } from "react-redux";
import { useEffect } from "react";
import SearchGoodResultItem from "./SearchGoodResultItem";
import { HiOutlineEmojiSad } from "react-icons/hi";
import SearchCategoryResultItem from "./SearchCategoryResultItem";

export const SearchResults = ({ items, onItemClick, itemLink = "" }) => {
    return (
        <div className="SearchResults">
            {!!items?.length ? (
                itemLink.match(/.+(good).+/) ? (
                    items.map((good) => (
                        <SearchGoodResultItem
                            link={itemLink}
                            good={good}
                            key={good._id}
                            onClick={() => onItemClick && onItemClick()}
                        />
                    ))
                ) : itemLink.match(/.+(category || categories).+/) ? (
                    items.map((cat) => (
                        <SearchCategoryResultItem
                            link={itemLink}
                            category={cat}
                            key={cat._id}
                            onClick={() => onItemClick && onItemClick()}
                        />
                    ))
                ) : (
                    []
                )
            ) : (
                <div className="error">
                    Тут пусто ! <HiOutlineEmojiSad />
                </div>
            )}
        </div>
    );
};

const CSearchResults = connect((state) => ({ items: state.promise.goodsFind?.payload || [] }))(SearchResults);

export default CSearchResults;
