import { connect } from "react-redux";
import React, { useState } from "react";
import { actionLogin } from "actions";

export const LoginForm = ({ onLogin, onRegisterButtonClick }) => {
    const [login, setLogin] = useState("");
    const [password, setPassword] = useState("");
    return (
        <div>
            <div className="mb-3">
                <label className="form-label">Login</label>

                <input
                    className=" form-control"
                    id="username"
                    name="username"
                    placeholder="Username"
                    value={login}
                    onChange={(e) => setLogin(e.target.value)}
                />
            </div>
            <div className="mb-3">
                <label className="form-label">Password</label>
                <input
                    type="password"
                    className="form-control"
                    placeholder="Password"
                    value={password}
                    id="password"
                    name="password"
                    onChange={(e) => setPassword(e.target.value)}
                />
            </div>

            <button
                disabled={login.length < 4 || password.length < 4}
                className="btn btn-success "
                onClick={() => onLogin(login, password)}
            >
                Войти
            </button>
            <span className="px-3 " onClick={onRegisterButtonClick}>
                Регистрация
            </span>
        </div>
    );
};
export const CLoginForm = connect(null, { onLogin: (login, password) => actionLogin(login, password) })(LoginForm);
