import { Link } from "react-router-dom";
import { CAuthPopUp } from "../components/AuthPopUp";
import { connect } from "react-redux";
import Logo from "../components/Logo";
import { CSearchBar, CSearchResults } from "../components/SearchBar";
import { useEffect, useState } from "react";
import CCartIcon from "../components/CartIcon";
import { CProfileImage } from "../components/ProfileImage";

export const Header = ({ children, token }) => {
    const [isAuthPopupOpen, setIsAuthPopupOpen] = useState(false);

    return (
        <header className="Header ">
            <div className="container d-flex">
                <Logo />

                <div className="px-3 searchBarWrapper">
                    <CSearchBar render={CSearchResults} renderParams={{ itemLink: "/good/" }} />
                </div>

                <div className=" d-flex">
                    {!token && (
                        <div className="menuItem" onClick={() => setIsAuthPopupOpen(true)}>
                            Login
                        </div>
                    )}
                    <CAuthPopUp isOpen={isAuthPopupOpen} onPopupClose={() => setIsAuthPopupOpen(false)} />
                    {token && (
                        <>
                            <Link className="Link menuItem" to={`/profile/`}>
                                <CProfileImage />
                            </Link>
                            <Link className="Link menuItem" to={`/cart/`}>
                                <CCartIcon />
                            </Link>
                        </>
                    )}
                </div>
            </div>

            {children}
        </header>
    );
};
const CHeader = connect((state) => ({ token: state.auth?.token }), {})(Header);
export default CHeader;
