import { connect } from "react-redux";
import { CSubCategories } from "components/SubCategories";
import { GoodList } from "./GoodList";

export const Category = ({ goods, category: { name: categoryName } } = {}) => (
    <div className="Category page">
        <div className="header">
            <div className="w-100 text-center">
                <h5>{categoryName}</h5>
            </div>
            <div className="w-100">
                <CSubCategories />
            </div>
        </div>
        <div className="body">
            <GoodList goods={goods} />
        </div>
    </div>
);

const CCategory = connect((state) => ({
    goods: state.promise?.catById?.payload?.goods || [],
    category: state.promise?.catById?.payload || {},
}))(Category);

export default CCategory;
