import { connect } from "react-redux";
import { AddButton } from "components/AddButton";

import { history } from "App";

const AdminCategoryListHeader = ({ sort, onSortChange, sortReversed, onSortReverseChange }) => (
    <tr className="AdminCategoryListHeader">
        <th scope="col">
            #
            <div
                className={`${sortReversed && sort === "_id" ? "arrow-up" : "arrow-down"} ${
                    sort === "_id" && "selected"
                }`}
                onClick={() => {
                    console.log(sortReversed, sort);
                    sort === "_id" && onSortReverseChange();
                    sort !== "_id" && onSortChange("_id");
                }}
            ></div>
        </th>
        <th scope="col">
            Название
            <div
                className={`${sortReversed && sort === "name" ? "arrow-up" : "arrow-down"} ${
                    sort === "name" && "selected"
                }`}
                onClick={() => {
                    console.log(sortReversed, sort);
                    sort === "name" && onSortReverseChange();
                    sort !== "name" && onSortChange("name");
                }}
            ></div>
        </th>
        <th scope="col">
            Родительская категория
            <div
                className={`${sortReversed && sort === "parent" ? "arrow-up" : "arrow-down"} ${
                    sort === "parent" && "selected"
                }`}
                onClick={() => {
                    console.log(sortReversed, sort);
                    sort === "parent" && onSortReverseChange();
                    sort !== "parent" && onSortChange("parent");
                }}
            ></div>
        </th>
        <th scope="col">
            <AddButton
                onClick={() => {
                    history.push(`/admin/category/`);
                }}
            />
        </th>
    </tr>
);

export { AdminCategoryListHeader };
