import { actionPopupOpen } from "reducers";
import { connect } from "react-redux";
import { Link } from "react-router-dom";
import { backendURL } from "helpers";
import defaultGoodImage from "images/defaultGoodImage.png";
import { FaEdit } from "react-icons/fa";

const AdminGoodItem = ({ good }) => (
    <tr className="AdminGoodItem">
        <th scope="row">{good._id}</th>
        <td>{good.name ? good.name : "-"}</td>
        <td>
            {
                <img
                    src={
                        good.images?.length
                            ? `${backendURL}/${good.images ? good.images[0]?.url : ""}`
                            : defaultGoodImage
                    }
                />
            }
        </td>
        <td>{good.price ? good.price : "-"}</td>
        <td>
            {good.categories
                ? (good.categories || []).map((category) => <div key={category._id}>{category?.name}</div>)
                : "-"}
        </td>
        <td className="edit">
            <Link className="Link" to={`/admin/good/${good._id}/`}>
                <FaEdit />
            </Link>
        </td>
    </tr>
);

export { AdminGoodItem };
