import { connect } from "react-redux";
import { history } from "App";
import { AddButton } from "components/AddButton";

const AdminGoodListHeader = ({ onSortChange, sort, sortReversed, onSortReverseChange }) => (
    <tr className="AdminGoodListHeader">
        <th scope="col">
            #
            <div
                className={`${sortReversed && sort === "_id" ? "arrow-up" : "arrow-down"} ${
                    sort === "_id" && "selected"
                }`}
                onClick={() => {
                    sort === "_id" && onSortReverseChange();
                    sort !== "_id" && onSortChange("_id");
                }}
            ></div>
        </th>
        <th scope="col">
            Название
            <div
                className={`${sortReversed && sort === "name" ? "arrow-up" : "arrow-down"} ${
                    sort === "name" && "selected"
                }`}
                onClick={() => {
                    console.log(sortReversed, sort);
                    sort === "name" && onSortReverseChange();
                    sort !== "name" && onSortChange("name");
                }}
            ></div>
        </th>
        <th scope="col">Картинки</th>
        <th scope="col">
            Цена
            <div
                className={`${sortReversed && sort === "price" ? "arrow-up" : "arrow-down"} ${
                    sort === "price" && "selected"
                }`}
                onClick={() => {
                    sort === "price" && onSortReverseChange();
                    sort !== "price" && onSortChange("price");
                }}
            ></div>
        </th>
        <th scope="col">Категории</th>
        <th scope="col">
            <AddButton
                onClick={() => {
                    history.push(`/admin/good/`);
                }}
            />
        </th>
    </tr>
);

export { AdminGoodListHeader };
